Package org.apache.sling.maven.bundlesupport.deploy

# Enum BundleDeploymentMethod

java.lang.Object
java.lang.Enum<BundleDeploymentMethod>
org.apache.sling.maven.bundlesupport.deploy.BundleDeploymentMethod

All Implemented Interfaces:
  `Serializable`, `Comparable<BundleDeploymentMethod>`

public enum BundleDeploymentMethod extends Enum<BundleDeploymentMethod>
Possible methodologies for deploying (installing and uninstalling) bundles from the remote server. Use camel-case values because those are used when you configure the plugin (and uppercase with separators "_" just looks ugly in that context)

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`SlingPostServlet`
Via POST to Sling directly
`WebConsole`
Via POST to Felix Web Console
`WebDAV`
Via WebDAV

## Method Summary

Modifier and Type
Method
Description
`DeployMethod`
`execute()`
`static BundleDeploymentMethod`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static BundleDeploymentMethod[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### WebConsole

public static final BundleDeploymentMethod WebConsole
Via POST to Felix Web Console

### WebDAV

public static final BundleDeploymentMethod WebDAV
Via WebDAV

### SlingPostServlet

public static final BundleDeploymentMethod SlingPostServlet
Via POST to Sling directly

## Method Details

### values

public static BundleDeploymentMethod[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static BundleDeploymentMethod valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### execute

public DeployMethod execute()